<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>3.2.5</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.federation.service</groupId>
	<artifactId>opensearch</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>jar</packaging>
	<name>openseacrh</name>
	<description>Federation service project...</description>
	<properties>
		<java.version>17</java.version>
	</properties>
	<dependencies>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web-services</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>     <!-- NOT org.junit here -->
			<artifactId>junit-dep</artifactId>
			<version>4.8.2</version>
			<scope>test</scope>
		  </dependency>
		  <dependency>
			  <groupId>org.junit.jupiter</groupId>
			  <artifactId>junit-jupiter-engine</artifactId>
			  <version>5.9.1</version>
			  <scope>test</scope>
		  </dependency>
		  <dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		  </dependency>
		  <dependency>
			  <groupId>org.aksw.jena-sparql-api</groupId>
			  <artifactId>jena-sparql-api-core</artifactId>
			  <version>3.17.0-1</version>
		  </dependency>
		  <dependency>
			  <groupId>commons-io</groupId>
			  <artifactId>commons-io</artifactId>
			  <version>2.4</version>
		  </dependency>
		  
		  <!-- https://mvnrepository.com/artifact/javax.ws.rs/javax.ws.rs-api -->
		  <dependency>
			  <groupId>javax.ws.rs</groupId>
			  <artifactId>javax.ws.rs-api</artifactId>
			  <version>2.0-m02</version>
		  </dependency>
  
		  <!-- Library for the SPARQL -->
		  <dependency>
			  <groupId>org.apache.jena</groupId>
			  <artifactId>jena-arq</artifactId>
			  <version>4.4.0</version>
		  </dependency>

		  <dependency>
			<groupId>org.eclipse.rdf4j</groupId>
			<artifactId>rdf4j-runtime</artifactId>
			<version>3.0.0</version>
		  </dependency>

		  <!-- Library translation to JSON format -->
		  <dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1.1</version>
		 </dependency>
		 <dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
			<version>20180813</version>
		  </dependency>
		  <dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>s3</artifactId>
			<version>2.25.70</version>
		</dependency>
		<dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>opensearch</artifactId>
			<version>2.26.1</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
                    <image>
                        <name>opensearch-image</name>
                    </image>
                </configuration>
			</plugin>
		</plugins>
	</build>

</project>
